﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace XmlHelper
{
    public class XmlHelper
    {
        public static XDocument SimplifyRss(XDocument xrss)
        {
            return new XDocument(
                new XElement("rss",
                    new XElement("channel",
                        from x in xrss.Element("rss").Element("channel").Elements("item")
                        let date = x.Element("pubDate").Value
                        select new XElement("item",
                            new XElement("link", x.Element("link").Value),
                            new XElement("title", x.Element("title").Value)
                        )
                    )
                )
            );
        }
    }
}
